package domain

type AlibabaWdkMarketingExpirePromotionCreateExpirePromotionBo struct {
	/*
	   短保时间段信息     */
	PeriodInfos *[]AlibabaWdkMarketingExpirePromotionCreateExpirePeriodInfo `json:"period_infos,omitempty" `

	/*
	   门店id     */
	ShopIds *[]string `json:"shop_ids,omitempty" `

	/*
	   商品skucode     */
	SkuCode *string `json:"sku_code,omitempty" `
}

func (s *AlibabaWdkMarketingExpirePromotionCreateExpirePromotionBo) SetPeriodInfos(v []AlibabaWdkMarketingExpirePromotionCreateExpirePeriodInfo) *AlibabaWdkMarketingExpirePromotionCreateExpirePromotionBo {
	s.PeriodInfos = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionCreateExpirePromotionBo) SetShopIds(v []string) *AlibabaWdkMarketingExpirePromotionCreateExpirePromotionBo {
	s.ShopIds = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionCreateExpirePromotionBo) SetSkuCode(v string) *AlibabaWdkMarketingExpirePromotionCreateExpirePromotionBo {
	s.SkuCode = &v
	return s
}
